#ifndef PDAR_H
#define PDAR_H

#include <sys/types.h>
#include <unistd.h>

#include "hermesfw.h"

#define PDA_SIZE_MAX 2048

#define PDA_RECORD_MACADDR 0x0101

int verify_pda(unsigned char *data, int size);
int read_pda_from(int fd, off_t offset, unsigned char *data);
void dump_pda(unsigned char *data, int size);
unsigned char *lookup_pda(unsigned short code, unsigned short len, unsigned char *pd);
unsigned char *read_txt_pda(FILE *fl);

#endif /* PDAR_H */
